Skip to main content
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
domains
/
{domainId}
Get an environment domain
curl --request GET \
  --url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/domains/{domainId} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "type": "<string>",
  "name": "<string>",
  "attributes": {},
  "id": "<string>",
  "project": "<string>",
  "registered_name": "<string>",
  "is_default": true
}

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required
environmentId
string
required
domainId
string
required

Response

default - application/json
created_at
string<date-time> | null
required

The creation date

updated_at
string<date-time> | null
required

The update date

type
string
required
name
string
required
attributes
Arbitrary attributes · object
required

Arbitrary attributes attached to this resource

id
string

The identifier of ProdDomainStorage

project
string
registered_name
string
is_default
boolean

Is this domain default